:root {
    --text-color: #000;
    --title-color: #530f1e;
    --width-right: 15rem;
    --width-content: 53rem;
    --width-title: 25rem;
}

@font-face {
    font-family: "Newsreader";
    src: url("assets/Newsreader-Bold.ttf") format("truetype");
    font-weight: bold;
    font-style: normal;
}
  
@font-face {
    font-family: "Roboto";
    src: url("assets/Roboto-Medium.ttf") format("truetype");
    font-weight: normal;
    font-style: normal;
}
  
/* general definitions */
body {
    background-color: #ffffff;
    background-image: url("assets/body_bg.jpg");
    background-size: 100%;
    background-repeat: no-repeat;
    color: var(--text-color);
    display: flex;
    flex-direction: column;
    align-items: center;
}
h1, h2, h3, h4 {
    color: var(--title-color);
    font-family: Newsreader, 'Times New Roman', Times, serif;
    font-weight: bold;
}
p, div, li, nav {
    color: var(--text-color);
    font-family: Roboto, Arial, Helvetica, sans-serif;
    font-size: 1.3rem;
    letter-spacing: 0.05em;
}
a {
    color: var(--text-color);
    font-family: Roboto, Arial, Helvetica, sans-serif;
    text-decoration: none;
}
a:hover {
    text-decoration: underline;
}

/* site width */
header, section, footer {
    width: calc(100% - 4rem);
    max-width: var(--width-content);
    margin-right: 1rem;
    margin-left: 1rem;
    padding-right: 1rem;
    padding-left: 1rem;
}

/* header */
header {
    display: flex;
    flex-direction: column;
    align-items: flex-end;
    width: 100%;
    margin-bottom: 2rem;
}
header h1 {
    font-size: 10vw;
    text-align: right;
    margin-top: 2rem;
    margin-bottom: 1rem;
}
header div {
    width: var(--width-right);
}
header .social {
    margin-top: 2rem;
}
header nav .active {
    font-weight: bold;
}

/* social buttons */
#social {
    width: var(--width-right);
}
.sociallinks {
    display: flex;
    justify-content: space-between;
}
.sociallinks a {
    display: block;
    width: 4rem;
    text-align: center;
}

/* about section */
h2 {
    font-size: 3.7rem;
    margin-top: 1rem;
    margin-bottom: 0rem;
    line-height: 3.6rem;
}
#about {
    border-top: 2px solid var(--title-color);
}
#about p {
    margin-top: 0.5rem;
    margin-bottom: 0.5rem;
}
#about p:first-of-type {
    margin-top: 1rem;
}

/* instagram section */
#instagram {
    border-top: 2px solid var(--title-color);
    padding-top: 1rem;
    padding-bottom: 1rem;
    margin-top: 1.5rem;
}
#instagram a {
    display: flex;
    justify-content: start;
}
#instagram img {
    width: 5.5rem;
    margin-right: 1.5rem;
}


/* footer */
h3 {
    font-size: 1.3rem;
    margin-bottom: 0.5rem;
}
footer {
    border-top: 2px solid var(--title-color);
    display: flex;
    justify-content: space-between;
    align-items: flex-end;
    margin-bottom: 2rem;
}
footer address {
    font-style: normal;
}
footer #social .sociallinks {
    margin-top: 0.5rem;
    font-size: 0.85rem;
}

/* flexible larger layout */
@media only screen and (min-width: 1250px) {
    header h1 {
        font-size: 8rem;
    }
}

/* fixed big layout */
@media only screen and (min-width: 800px) {
    body {
        background-size: 800px;
        background-position: top center;
    }
    #about h2.about {
        float: left;
        width: 15rem;
    }
    #about h2.felix {
        width: 18rem;
        float: right;
        text-align: right;
    }
}

/* mobile layout */
@media only screen and (max-width: 800px) {
    body {
        background-size: 100%;
    }
    header, section, footer {
        width: calc(100% - 2rem);
        /*
        margin-right: 1rem;
        margin-left: 1rem;
        */
        padding-right: 0;
        padding-left: 0;
    }
    header {
        align-items: center;
    }
    header h1 {
        text-align: center;
        font-size: 12vw;
    }
    #about h2 {
        font-size: 3.5;
        text-align: center;
        margin-top: 1.5rem;
    }
    #about h2 span {
        display: none;
    }
    footer {
        flex-direction: column;
        align-items: center;
    }
    footer #social {
        text-align: center;
        margin-top: 2rem;
    }
}


@media only screen and (max-width: 400px) {
    header, section, footer {
        width: calc(100% - 1rem);
        margin-right: 0.5rem;
        margin-left: 0.5rem;
    }
    #about h2 {
        font-size: 3rem;
    }
}